Get handling_unit_history by ID
curl --request GET \
--url https://api.truecold.io/handling_unit_history/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.truecold.io/handling_unit_history/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.truecold.io/handling_unit_history/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handling_unit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"TOR_accumulated_minutes": 123,
"max_temp": 123,
"min_temp": 123,
"avg_temp": 123,
"humidity_min": 123,
"humidity_max": 123,
"humidity_avg": 123
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Handling Unit History
Get handling_unit_history by ID
GET
/
handling_unit_history
/
{id}
Get handling_unit_history by ID
Authorizations
API key for authentication. Contact your administrator to get an API key.
Path Parameters
Handling_unit_history ID
Response
Successfully retrieved handling_unit_history
Handling_unit_history entity (API response)
Unique identifier
Handling unit ID
Zone ID
Delivery ID
Account ID
Site ID
Creation timestamp
Last update timestamp
End timestamp
TOR accumulated minutes
Maximum temperature
Minimum temperature
Average temperature
Minimum humidity
Maximum humidity
Average humidity
